#include "ps5/web_node.h"
#include "ps5/simple_response.h"

http_response *web_node::get(string req, extensions *) {
    return new simple_response(
	"<body>This is the default contents of a web node.", true);
}

generator<web_node *> *web_node::descendants() {
    return new null_generator<web_node *>;
}

bool null_generator<web_node *>::get(web_node *&w) {
    return false;
}
